
if GridFrame.InitialConfigFunction then
	-- create a popup (hell can't I just use the same that blizz are using :-/)
	local init = function(self)
		local u = self.unit or "player";
		if self.unit == "player" then   -- this is the player himself
			return UnitPopup_ShowMenu(self, "SELF", u, UnitName(u), UnitInRaid(u));
		end
		UnitPopup_ShowMenu(self, "RAID_PLAYER", u, UnitName(u), UnitInRaid(u));
	end
	local attschanged = function(self)
		local u = self:GetAttribute("unit");
		if u and self.gum.unit ~= u then
			self.gum.unit = u;
			UIDropDownMenu_Initialize(self.gum, init, "MENU");
		end
	end

	-- posthook this into the grid button register function
	hooksecurefunc(GridFrame, "InitialConfigFunction", function(frame)
		if not frame.menu then
			frame.gum = CreateFrame("Frame","GUM_"..frame:GetName(),UIParent,"UIDropDownMenuTemplate");
			frame.menu = function(self)
				ToggleDropDownMenu(1, nil, self.gum, self:GetName(), 0, 0);
			end
			frame:HookScript("OnAttributeChanged", attschanged);
			frame:SetAttribute("type2", "menu");
		end
	end);
else
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFF5555Can't load GridUnitMenu, you may "
		.."be using an incompatible (new?) version of Grid, please contact the "
		.."developer on the GridUnitMenu page or via PM on wow.curse.com!|n"
		.."Sorry.");
end	
